opal/util/printf.h File Reference.TH "opal/util/printf.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/printf.h \- Buffer safe printf functions for portability to archaic platforms. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <stdarg.h>\fP
.br
\fC#include <stdlib.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_snprintf\fP (char *str, size_t size, const char *fmt,...)"
.br
.RI "\fIWrites to a string under the control of a format string that specifies how subsequent arguments are converted for output. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_vsnprintf\fP (char *str, size_t size, const char *fmt, va_list ap)"
.br
.RI "\fIWrites to a string under the control of a format string that specifies how arguments accessed via the variable-length argument facilities of stdarg(3) are converted for output. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_asprintf\fP (char **ptr, const char *fmt,...)"
.br
.RI "\fIAllocates and writes to a string under the control of a format string that specifies how subsequent arguments are converted for output. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_vasprintf\fP (char **ptr, const char *fmt, va_list ap)"
.br
.RI "\fIAllocates and writes to a string under the control of a format string that specifies how arguments accessed via the variable-length argument facilities of stdarg(3) are converted for output. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Buffer safe printf functions for portability to archaic platforms. 


.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int opal_asprintf (char ** ptr, const char * fmt,  ...)"
.PP
Allocates and writes to a string under the control of a format string that specifies how subsequent arguments are converted for output. 
.PP
\fBParameters:\fP
.RS 4
\fI*ptr\fP Pointer to utput string buffer 
.br
\fIfmt\fP Output format 
.RE
.PP
\fBReturns:\fP
.RS 4
Length of output string
.RE
.PP
Sets *ptr to be a pointer to a buffer sufficiently large to hold the formatted string. This pointer should be passed to free(3) to release the allocated storage when it is no longer needed. If sufficient space cannot be allocated, asprintf() and vasprintf() will return -1 and set ret to be a NULL pointer.
.PP
Returns the number of characters printed.
.PP
THIS IS A PORTABILITY FEATURE: USE asprintf() in CODE. 
.SS "OMPI_DECLSPEC int opal_snprintf (char * str, size_t size, const char * fmt,  ...)"
.PP
Writes to a string under the control of a format string that specifies how subsequent arguments are converted for output. 
.PP
\fBParameters:\fP
.RS 4
\fIstr\fP Output string buffer 
.br
\fIsize\fP Size of string buffer 
.br
\fIfmt\fP Output format 
.RE
.PP
\fBReturns:\fP
.RS 4
Length of output string
.RE
.PP
At most size-1 characters are printed into the output string (the size'th character then gets the terminating `'); if the return value is greater than or equal to the size argument, the string was too short and some of the printed characters were discarded. The output is always null-terminated.
.PP
Returns the number of characters that would have been printed if the size were unlimited (again, not including the final `').
.PP
THIS IS A PORTABILITY FEATURE: USE snprintf() in CODE. 
.SS "OMPI_DECLSPEC int opal_vasprintf (char ** ptr, const char * fmt, va_list ap)"
.PP
Allocates and writes to a string under the control of a format string that specifies how arguments accessed via the variable-length argument facilities of stdarg(3) are converted for output. 
.PP
\fBParameters:\fP
.RS 4
\fI*ptr\fP Pointer to utput string buffer 
.br
\fIfmt\fP Output format 
.br
\fIap\fP Variable argument list pointer 
.RE
.PP
\fBReturns:\fP
.RS 4
Length of output string
.RE
.PP
Sets *ptr to be a pointer to a buffer sufficiently large to hold the formatted string. This pointer should be passed to free(3) to release the allocated storage when it is no longer needed. If sufficient space cannot be allocated, asprintf() and vasprintf() will return -1 and set ret to be a NULL pointer.
.PP
Returns the number of characters printed.
.PP
THIS IS A PORTABILITY FEATURE: USE vasprintf() in CODE. 
.SS "OMPI_DECLSPEC int opal_vsnprintf (char * str, size_t size, const char * fmt, va_list ap)"
.PP
Writes to a string under the control of a format string that specifies how arguments accessed via the variable-length argument facilities of stdarg(3) are converted for output. 
.PP
\fBParameters:\fP
.RS 4
\fIstr\fP Output string buffer 
.br
\fIsize\fP Size of string buffer 
.br
\fIfmt\fP Output format 
.br
\fIap\fP Variable argument list pointer 
.RE
.PP
\fBReturns:\fP
.RS 4
Length of output string
.RE
.PP
At most size-1 characters are printed into the output string (the size'th character then gets the terminating `'); if the return value is greater than or equal to the size argument, the string was too short and some of the printed characters were discarded. The output is always null-terminated.
.PP
Returns the number of characters that would have been printed if the size were unlimited (again, not including the final `').
.PP
THIS IS A PORTABILITY FEATURE: USE vsnprintf() in CODE. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
